package com.kiisoo.ic.system.enums;

import lombok.Getter;

/**
 * @author jinchaofan
 * @date 2020/2/19 16:39
 * @company kiisoo
 * @details 权限枚举
 */
@Getter
public enum PermissionEnum {


    PERMISSION_LEVEL_ONE("1级权限", 1),
    PERMISSION_LEVEL_TWO("2级权限", 2),
    PERMISSION_LEVEL_THREE("3级权限", 3),
    ;


    /**
     * 字段描述
     */
    private String describe;

    /**
     * 字段类型
     */
    private int type;

    PermissionEnum(String describe, int type) {
        this.describe = describe;
        this.type = type;
    }

}
